//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2016.04.15 at 02:17:08 PM CEST 
//


package org.oasis.xliff;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ElemType_ExternalReference complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ElemType_ExternalReference">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;choice>
 *         &lt;element ref="{urn:oasis:names:tc:xliff:document:1.2}internal-file"/>
 *         &lt;element ref="{urn:oasis:names:tc:xliff:document:1.2}external-file"/>
 *       &lt;/choice>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ElemType_ExternalReference", propOrder = {
    "internalFile",
    "externalFile"
})
public class ElemTypeExternalReference {

    @XmlElement(name = "internal-file")
    protected InternalFile internalFile;
    @XmlElement(name = "external-file")
    protected ExternalFile externalFile;

    /**
     * Gets the value of the internalFile property.
     * 
     * @return
     *     possible object is
     *     {@link InternalFile }
     *     
     */
    public InternalFile getInternalFile() {
        return internalFile;
    }

    /**
     * Sets the value of the internalFile property.
     * 
     * @param value
     *     allowed object is
     *     {@link InternalFile }
     *     
     */
    public void setInternalFile(InternalFile value) {
        this.internalFile = value;
    }

    /**
     * Gets the value of the externalFile property.
     * 
     * @return
     *     possible object is
     *     {@link ExternalFile }
     *     
     */
    public ExternalFile getExternalFile() {
        return externalFile;
    }

    /**
     * Sets the value of the externalFile property.
     * 
     * @param value
     *     allowed object is
     *     {@link ExternalFile }
     *     
     */
    public void setExternalFile(ExternalFile value) {
        this.externalFile = value;
    }

}
